.create-category__modal {
  background-color: white;
  padding: 25px;
  width: 100%;
  border-radius: 5px;
  max-width: 900px;
}

.create-category__content {

  display: flex;
  justify-content: center;
  align-items: flex-start;



  .form-group {

    .error {
      color: #df1c59;
      margin-top: 5px;
      margin-right: 5px;
    }
  }
}

.create-category__form {
  padding-top: 30px;

}

.custom-category__image-container {
  max-width: 45px;
  width: 100%;
  height: 45px;
  position: relative;
  overflow: hidden;
  padding: 2px;
  border: solid 1px #49a698;
  border-right: none;
  border-radius: 5px 0 0 5px;
  border-bottom-width: 2px;
  border-right: none;


  &:hover .delete-button {
    opacity: 1;
  }


  & label {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;

    span {
      margin-left: 10px;
      font-size: 18px;
      line-height: 18px;
      display: block;
      font-weight: 500;
      margin-bottom: 5px;
    }
  }

  img {
    display: block;
    width: 100%;
    height: 100%;
    object-position: center;
    object-fit: contain;
  }

  .delete-button {
    position: absolute;
    top: 0px;
    right: 0px;
    transition: opacity 0.3s ease;
    opacity: 0;


    &:hover {
      & svg path {
        stroke: #3bb77e
      }
    }
  }


}

.create-category__input {
  height: 45px;

  outline: none;
  font-size: 16px;
  border-radius: 0 5px 5px 0;
  padding-left: 15px;
  border: 1px solid #ccc;
  border-bottom-width: 2px;
  transition: border-color 0.3s ease;
 

  &:focus,
  &:valid {
    border-color: #49a698;
  }


}

.create-category__button {
  margin-top: 30px;
  padding: 10px;
  width: 100%;
  border-radius: 5px;
  border: none;
  color: #fff;
  font-size: 18px;
  font-weight: 500;
  letter-spacing: 1px;
  cursor: pointer;
  transition: all 0.3s ease;
  background: linear-gradient(135deg, #3bb77e, #5993b6);
  justify-content: center;

  &:hover {
    background: linear-gradient(-135deg, #3bb77e, #5993b6);
  }
}




// .product-page__info-wrap {
//   .form-group {
//     margin-top: 10px;
//   }
// }

// .create-category__button {
//   padding: 10px;
//   width: 100%;
//   border-radius: 5px;
//   border: none;
//   color: #fff;
//   font-size: 18px;
//   font-weight: 500;
//   letter-spacing: 1px;
//   cursor: pointer;
//   transition: all 0.3s ease;
//   background: linear-gradient(135deg, #3bb77e, #5993b6);
//   margin-top: 10px;
//   justify-content: center;

// }

// .create-category__button:hover {
//   background: linear-gradient(-135deg, #3bb77e, #5993b6);
// }

// .submit__form-group {
//   display: flex;
//   justify-content: center;
// }

// .form__controls {
//   width: 100%;
//   display: flex;
//   justify-content: center;
// }



//

// .custom-category__image-container label {
//   display: flex;
//   justify-content: center;
//   align-items: center;
//   font-size: 150%;
//   cursor: pointer;
// }



// .custom-category__image-container img,
// .custom-category__image-container label {
//   object-fit: fill;

//   max-width: 350px;
//   width: 100%;
//   width: 30px;
//   height: 30px;
//   border: solid 1px #ccc;
//   border-right: none;
//   border-radius: 5px;
//   border-top-right-radius: 0;
//   border-bottom-right-radius: 0;
//   object-fit: fill;
//   border-color: #49a698;
//   border-bottom-width: 2px;
// }

// .custom-category__image-container {
//   position: relative;
//   display: inline-block;





// }

// .create-category__input {
//   height: 30px;

//   margin-bottom: 4px;
//   outline: none;
//   font-size: 16px;
//   border-radius: 5px;
//   border-top-left-radius: 0;
//   border-bottom-left-radius: 0;
//   padding-left: 15px;
//   border: 1px solid #ccc;
//   border-bottom-width: 2px;
//   transition: border-color 0.3s ease;
//   border-left: none;

//   &:focus,
//   &:valid {
//     border-color: #49a698;
//   }
// }

.product-img {
  opacity: 0;
  height: 0;
  display: none;
}